Session.OPERATION
Date: 2012-06-29

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.gcube.vremanagement.resourcemanager.impl.state
Enum Session.OPERATION

    java.lang.Object
      java.lang.Enum<Session.OPERATION>
          org.gcube.vremanagement.resourcemanager.impl.state.Session.OPERATION

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Session.OPERATION>

Enclosing class:
  Session

    public static enum Session.OPERATION

extends java.lang.Enum<Session.OPERATION>

Enum Constant Summary
`AddResources`
`Create`
`Dispose`
`RemoveResources`
`UpdateResources`

Method Summary
`static Session.OPERATION` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Session.OPERATION[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Create

    public static final Session.OPERATION Create

### AddResources

    public static final Session.OPERATION AddResources

### UpdateResources

    public static final Session.OPERATION UpdateResources

### RemoveResources

    public static final Session.OPERATION RemoveResources

### Dispose

    public static final Session.OPERATION Dispose

Method Detail

### values

    public static Session.OPERATION[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Session.OPERATION c : Session.OPERATION.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Session.OPERATION valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD